[Libreoffice-commits] online.git: test/run_unit.sh.in

Michael Meeks michael.meeks at collabora.com
Fri Sep 15 16:58:42 UTC 2017


 test/run_unit.sh.in |   15 +++++++++++++++
 1 file changed, 15 insertions(+)

New commits:
commit 5aed7e0814ad0de0227b87fba37994844afe6436
Author: Michael Meeks <michael.meeks at collabora.com>
Date:   Fri Sep 15 16:59:56 2017 +0100

    Unit test script - add help and simplify usage.
    
    Change-Id: I4687f9a39b1abcf5be7e7848c32dfd32c39e7707

diff --git a/test/run_unit.sh.in b/test/run_unit.sh.in
index 95a8e17f..68f592bd 100755
--- a/test/run_unit.sh.in
+++ b/test/run_unit.sh.in
@@ -19,7 +19,21 @@ verbose=''
 # Automake generates. Don't be mislead by 'git grep' not showing any
 # use of --test-name for instance.
 
+print_help ()
+{
+    echo "Usage: run_unit.sh --test-name <name.la> [OPTIONS]"
+    echo "Runs a specified unit test"
+    echo ""
+    echo "   --log-file <file>   Log output to this file - default /dev/stderr"
+    echo "   --trs-file <file>   Records the results of a test for automake (default /dev/stderr)"
+    echo "   --valgrind          Run under valgrind if enabled"
+    echo "   --verbose           Print out more stuff - if you run out of things to read"
+    exit 1
+}
+
 tst=
+tst_log=/dev/stderr
+tst_output=/dev/stderr
 while test $# -gt 0; do
   case $1 in
       --test-name) tst=$2; shift;;
@@ -27,6 +41,7 @@ while test $# -gt 0; do
       --trs-file)  test_output=$2; shift;;
       --valgrind)  valgrind=$valgrind_cmd; shift;;
       --verbose)   verbose="--verbose";;
+      --help)      print_help ;;
   -*) ;; # ignore
   esac
   shift


More information about the Libreoffice-commits mailing list